/*****************************************************************************
 *
 * FILE:	functions.h
 * DESCRIPTION:	functions declaration file for mailtools sources
 * DATE:	Fri, Jun  8 2001
 * AUTHOR:	Kouichi ABE (WALL) / 
 * E-MAIL:	kouichi@MysticWALL.COM
 * URL:		http://www.MysticWALL.com/cover.html
 * COPYRIGHT:	(C) 2001 졿Kouichi ABE (WALL), All rights reserved.
 * $Id: functions.h,v 1.4 2001/06/23 15:57:18 kouichi Exp $
 *
 *****************************************************************************/

#ifndef	_functions_h
#define	_functions_h

#include <sys/types.h>


/*
 *	action.c
 */
extern void	actionSplit(Mail *);
extern void	actionExtract(Mail *);
extern void	actionHTML(Mail *);


/*
 *	base64.c
 */
extern int	base64EncodeString(String, String, size_t);
extern int	base64DecodeString(String, String, size_t);
extern void	base64DecodeFile(FILE *, FILE *);


/*
 *	decode.c
 */
extern String	mimeDecodeString(String);
extern String	mimeDecodeStringToHex(String);


/*
 *	dump.c
 */
extern void	dumpHeader(Mail *);
#if	DEBUG
extern void	debug(Mail *);
#endif	/* DEBUG */


/*
 *	filter.c
 */
extern int	actionFilter(void);


/*
 *	html.c
 */
extern void	htmlPrintHeader(MailHeader *, FILE *);
extern void	htmlPuts(const String, FILE *);
extern void	htmlPutsAnchor(const String, FILE *);


/*
 *	mailtools.c
 */
extern void	error(void);


/*
 *	parsemail.c
 */
extern Mail *	mailOpen(String, option_t);
extern void	mailClose(Mail *);


/*
 *	util.c
 */
#ifndef	HAVE_MKSTEMP
extern int	mkstemp(String);
#endif	/* HAVE_MKSTEMP */
extern String	append(String, String);
extern String	chomp(String);
extern String	xstrdup(String);


#endif	/* _functions_h */
